<section class="section">
  <div class="container col-md-4 vh-100">
    <div class="row justify-content-center h-100 me-1">
      <div class="card rounded my-auto shadow-lg">
        <div class="card-body p-4">
          <div class="text-center pb-2">
            <p class="h4 fw-bold">Registration</p>
          </div>
          <form  [formGroup]="registerForm" (ngSubmit)="onSubmit()">
            <div class="form-group mb-3">
              <label>Name <span class="text-danger">*</span></label>
              <vwui-input type="text" placeholder="Enter name" formControlName="name"></vwui-input>
              <div *ngIf="submitted && f.name.errors" class="form-text text-danger text-left">
                <span *ngIf="f.name.errors.required">Name is
                  required.</span>
              </div>
            </div>
            <div class="form-group mb-3">
              <label>Email address <span class="text-danger">*</span></label>
              <vwui-input type="email"  placeholder="Enter email" formControlName="loginId"></vwui-input>
              <div *ngIf="submitted && f.loginId.errors" class="form-text text-danger text-left">
                <span *ngIf="f.loginId.errors.required">Email is
                  required.</span>
                  <span *ngIf="f.loginId.errors.email">Valid Email
                    required.</span>
              </div>
            </div>
            <div class="form-group mb-3">
              <label>Password <span class="text-danger">*</span></label>
              <vwui-input type="password" placeholder="Enter password" formControlName="password"></vwui-input>
              <div *ngIf="submitted && f.password.errors" class="form-text text-danger text-left">
                <span *ngIf="f.password.errors.required">Password is
                  required.</span>
              </div>
            </div>
            <div class="form-group d-flex justify-content-between mb-4">
              <button type="submit" class="btn btn-block btn-primary">Register!</button>
              <span>You have account!<a class="text-danger fw-bold" routerLink="/auth/login">Login?</a></span>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</section>
